[general]
static=yes                              ; save dialplan
autofallthrough=yes                     ; hang a call if no more extension to proceed

[globals]

;Unauthorized calls context
[forbidden]
exten => _X.,1,Hangup(21)       ;Whatever is entered, Asterix Hangup with cause code 21: Rejected

;Authorized calls context
[routing]
;exten => _X.,1,NoOp()
;exten => _X.,n,Dial(SIP/${EXTEN},30)
;exten => _X.,n,Hangup(${HANGUPCAUSE})

;As the names are alphanumerical alias were also created
exten => 100,1,Goto(hardphone1,1)
exten => 101,1,Goto(softphone1,1)

exten => hardphone1,1,Dial(SIP/hardphone1,30)
exten => hardphone1,n,Hangup(${HANGUPCAUSE})

exten => softphone1,1,Dial(SIP/softphone1,30)
exten => softphone1,n,Hangup(${HANGUPCAUSE})
